
/*--------------------------------------------------------------------------*-
-* DT.C - show date and time info                                           *-
-* Todd Fiske 12/21/1996 16:18:31                                           *-
-*--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*-
-* Libraries                                                                *-
-*--------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys\timeb.h>

/*--------------------------------------------------------------------------*-
-* Function Prototypes                                                      *-
-*--------------------------------------------------------------------------*/
void   get_command_line      ( );

/*--------------------------------------------------------------------------*-
-*                                                                          *-
-*                                   Main                                   *-
-*                                                                          *-
-*--------------------------------------------------------------------------*/
void main ( int argc, char *argv[ ] )
{
   char lt[ 32 ];                      /* local time */
   char gt[ 32 ];                      /* Greenwich Mean time */
   time_t seconds;                     /* stores # of seconds */
   struct tm *t;                       /* stores date-time elements */
   struct timeb tb;

   time( &seconds );                   /* get current # of seconds */
   ftime( &tb );

   t = localtime( &seconds );          /* convert seconds to dt elements */
   if ( strftime( lt, 25, "%Y %b %d %H:%M:%S %Z", t ) ) ; /* format nicely */

   t = gmtime( &seconds );             /* convert seconds to dt elements */
   if ( strftime( gt, 25, "%Y %b %d %H:%M:%S %Z", t ) ) ; /* format nicely */

   printf( "-------------------------------------\n" );
   printf( "Daylight:    %d\n",  daylight            );
   printf( "Timezone:    %ld\n", timezone            );
   printf( "TZName 1:    %s\n",  tzname [ 0 ]        );
   printf( "TZName 2:    %s\n",  tzname [ 1 ]        );
   printf( "-------------------------------------\n" );
   printf( "Seconds:     %ld\n", seconds             );
   printf( "Local:       %s\n",  lt                  );
   printf( "Greenwich:   %s\n",  gt                  );
   printf( "-------------------------------------\n" );
   printf( "tb.time:     %ld\n", tb.time             );
   printf( "tb.millitm:  %hd\n", tb.millitm          );
   printf( "tb.timezone: %hd\n", tb.timezone         );
   printf( "tb.dstflag:  %hd\n", tb.dstflag          );
   printf( "-------------------------------------\n" );

   if ( argc > 1 )
      get_command_line( argc, argv );
}

/*
-----------------------------------
Seconds:   999999999
Local:     9999 Mmm 99 99:99:99 ZZZ
Greenwich: 9999 Mmm 99 99:99:99 ZZZ
-----------------------------------
*/

/*
1996 Sep 23 03:48:56 zzz
------------------------
I tried gmtime() which gave me the correct time (EST+5), but the timezone
still said EST - I don't know what controls this just yet.
*/

/*--------------------------------------------------------------------------*-
-* Get Command Line                                                         *-
-* Try to read command line parameters into our_port and our_name           *-
-*--------------------------------------------------------------------------*/
void get_command_line ( int argc, char *argv[ ] )
{
   int  i;

   for ( i = 0 ; i < argc ; i++ )
      printf( "%2d:  %s\n", i, argv[ i ] );

   printf( "\nThose sure are some mighty fine parameters, but we don't know what to do with\n" );
   printf( "them yet.\n" );
}

/*--------------------------------------------------------------------------*-
-* EOF : DT.C                                                               *-
-*--------------------------------------------------------------------------*/
